package io.renren.config;
import org.springframework.stereotype.Component;

@Component
public class WxPayConfig {

    private boolean isable = true;

    // 公众账号ID
    private String appid = "wxe1cadb952082ccab";

    // 商户号
    private String merchantId = "1445629602";

    // 商户API私钥路径
    private String privateKeyPath = "/Users/yourname/your/path/apiclient_key.pem";

    // 商户证书序列号
    private String merchantSerialNumber = "5157F09EFDC096DE15EBE81A47057A72********";

    // 商户APIV3密钥
    private String apiV3Key = "qU9HH1M2vTbhNRPjfxdNt61lozPw2024";

    // 异步回调地址
    private String notify_url="http://60.168.150.51:5002/wxPay_callback";

    // 付款码支付地址
    private String micropayUrl="https://api.mch.weixin.qq.com/pay/micropay";

    //终端IP
    private String spbill_create_ip="60.168.150.51";


    public String getMicropayUrl() {
        return micropayUrl;
    }

    public void setMicropayUrl(String micropayUrl) {
        this.micropayUrl = micropayUrl;
    }

    public String getMerchantId() {
        return merchantId;
    }

    public void setMerchantId(String merchantId) {
        this.merchantId = merchantId;
    }

    public String getPrivateKeyPath() {
        return privateKeyPath;
    }

    public void setPrivateKeyPath(String privateKeyPath) {
        this.privateKeyPath = privateKeyPath;
    }

    public String getMerchantSerialNumber() {
        return merchantSerialNumber;
    }

    public void setMerchantSerialNumber(String merchantSerialNumber) {
        this.merchantSerialNumber = merchantSerialNumber;
    }

    public String getApiV3Key() {
        return apiV3Key;
    }

    public void setApiV3Key(String apiV3Key) {
        this.apiV3Key = apiV3Key;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getNotify_url() {
        return notify_url;
    }

    public void setNotify_url(String notify_url) {
        this.notify_url = notify_url;
    }

    public String getSpbill_create_ip() {
        return spbill_create_ip;
    }

    public void setSpbill_create_ip(String spbill_create_ip) {
        this.spbill_create_ip = spbill_create_ip;
    }

    public boolean isIsable() {
        return isable;
    }

    public void setIsable(boolean isable) {
        this.isable = isable;
    }


}
